/**
 * POCDMT000040RegionOfInterestValue.java
 *
 * File generated from the cdaepsos3::POCDMT000040RegionOfInterestValue uml Class
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.cdaepsos4;

// End of user code

import net.ihe.gazelle.gen.common.ConstraintValidatorModule;
import org.w3c.dom.Document;
import org.w3c.dom.Node;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;
import javax.xml.bind.annotation.*;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import java.util.List;


/**
 * Description of the class POCDMT000040RegionOfInterestValue.
 *
 */

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "POCD_MT000040.RegionOfInterest.value", propOrder = {
	"unsorted"
})
@XmlRootElement(name = "POCD_MT000040.RegionOfInterest.value")
public class POCDMT000040RegionOfInterestValue extends net.ihe.gazelle.datatypes.INT implements java.io.Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	
	@XmlAttribute(name = "unsorted")
	public Boolean unsorted;
	
	/**
	 * An attribute containing marshalled element node
	 */
	@XmlTransient
	private Node _xmlNodePresentation;
	
	
	/**
	 * Return unsorted.
	 * @return unsorted
	 */
	public Boolean getUnsorted() {
	    return unsorted;
	}
	
	/**
	 * Set a value to attribute unsorted.
	 * @param unsorted.
	 */
	public void setUnsorted(Boolean unsorted) {
	    this.unsorted = unsorted;
	}
	
	
	/**
	 * Return unsorted.
	 * @return unsorted
	 * Generated for the use on jsf pages
	 */
	 @Deprecated
	public Boolean isUnsorted() {
	    return unsorted;
	}
	
	
	public Node get_xmlNodePresentation() {
		if (_xmlNodePresentation == null){
				JAXBContext jc;
				DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
				dbf.setNamespaceAware(true);
				DocumentBuilder db = null;
				Document doc = null;
				try {
					db = dbf.newDocumentBuilder();
					doc = db.newDocument();
				} catch (ParserConfigurationException e1) {}
				try {
					jc = JAXBContext.newInstance("net.ihe.gazelle.cdaepsos4");
					Marshaller m = jc.createMarshaller();
					m.marshal(this, doc);
					_xmlNodePresentation = doc.getElementsByTagNameNS("urn:hl7-org:v3", "POCD_MT000040.RegionOfInterest.value").item(0);
				} catch (JAXBException e) {
					try{
						db = dbf.newDocumentBuilder();
						_xmlNodePresentation = db.newDocument();
					}
					catch(Exception ee){}
				}
			}
			return _xmlNodePresentation;
	}
	
	public void set_xmlNodePresentation(Node _xmlNodePresentation) {
		this._xmlNodePresentation = _xmlNodePresentation;
	}
	
	
	

	
	/**
     * validate by a module of validation
     * 
     */
   public static void validateByModule(POCDMT000040RegionOfInterestValue pOCDMT000040RegionOfInterestValue, String _location, ConstraintValidatorModule cvm, List<net.ihe.gazelle.validation.Notification> diagnostic){
   		if (pOCDMT000040RegionOfInterestValue != null){
   			net.ihe.gazelle.datatypes.INT.validateByModule(pOCDMT000040RegionOfInterestValue, _location, cvm, diagnostic);
    	}
    }

}